curl --request GET \
--url https://api.cadanapay.com/v1/contracts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "completed",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Edward Petersen - Standard Global Contractor Agreement",
"signatures": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"emailAddress": "signer@example.com",
"name": "John Doe",
"order": 0,
"status": "signed",
"signedAt": 1689759850,
"lastViewedAt": 1689759850
}
],
"createdAt": 1689759850,
"customContractAttached": false
}
]
}Fetch all contracts
curl --request GET \
--url https://api.cadanapay.com/v1/contracts \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"templateId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"status": "completed",
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"name": "Edward Petersen - Standard Global Contractor Agreement",
"signatures": [
{
"id": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"emailAddress": "signer@example.com",
"name": "John Doe",
"order": 0,
"status": "signed",
"signedAt": 1689759850,
"lastViewedAt": 1689759850
}
],
"createdAt": 1689759850,
"customContractAttached": false
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
Optional UUID of the person to filter the contracts
get contracts response
Show child attributes